# Weedheim

*Grow your own weed farm! Roll doobies, craft a bong or make Fly agaric wine for special buffs!, craft yourself a new outfit, and more!*

![Main](https://i.imgur.com/rHjerIR.jpg)

## Features

### Growable Cannabis Plants:

  * Purple Kush
  * Strawberry Cough
  * Honney Badger
  * Blueberry Punch  
  * Planting table workbench for crafting the different strains.  
  * Plants have also been added to the custom vegetation so they can bee found all around the world!

### Craftable Doobies and Bong:

  * 4 craftable doobies and a bong with status effects.
  
  * Stoners table workbench for crafting.

### Craftable Fly Agaric Wine and Mushroom Brew:

  * A craftable wine and brew with status effects. Made with mushrooms that have been added to custom vegitation.

### Craftable Hats & Clothing:

  * 6 craftable hats.
  * 4 craftable outfits.
  * Loom workbench + Dye station extension for crafting cloth items.
  
### Magic Wand Build Table:

  * A craftable magic wand to build pieces with!
  
### Decoration Pieces:

<details><summary><strong> Click to show/hide</strong></summary>
<br>
  * Purple Kush weed bundle and sack<br>
  * Strawberry Cough weed bundle and sack<br>
  * Honney Badger weed bundle and sack<br>
  * Blueberry Punch weed bundle and sack<br>
  * 5 x Banners<br>
  * 5 x Tapestries<br>
  * 5 x Rugs<br>
  * Mighty Bong<br>
  * Buddha Statue<br>
  * Elephant Statue<br>
  * Large Gong<br>
  * Male Wood Carving<br>
  * Female Wood Carving<br>
  * Crystal Rasta Lights<br>
  * Small Tent<br>
  * Large Tent<br>
  * Sleeping Bag<br>
  * Camfire Cover<br>
  * Snake Head Hookah
</details>
  
### Building Pieces:

<details><summary><strong> Click to show/hide</strong></summary>
<br>
  * hemp_block_1x1<br>
  * hemp_block_2x1<br>
  * hemp_block_4x2<br>
  * hemp_block_4x4<br>
  * hemp_block_arch<br>
  * hemp_block_floor_4x4<br>
  * hemp_block_floor_1x1<br>
  * hemp_block_floor_2x2<br>
  * hemp_block_pillar<br>
  * hemp_block_stair<br>
  * hemp_block_stair_inner<br>
  * hemp_block_stair_outer<br>
  * hemp_block_triangular_1x1<br>
  * hemp_block_triangular_2x1<br>
  * hideen_door_2x2<br>
  * hideen_door_2x3<br>
  * hideen_door_4x2<br>
  * hemp_roof_26<br>
  * hemp_roof_26_left<br>
  * hemp_roof_26_right<br>
  * hemp_roof_45<br>
  * hemp_roof_45_left<br>
  * hemp_roof_45_right<br>
  * hemp_roof_icorner_26<br>
  * hemp_roof_icorner_45<br>
  * hemp_roof_ocorner_26<br>
  * hemp_roof_ocorner_45<br>
  * hemp_roof_top_26<br>
  * hemp_roof_top_45
</details>
  
### Custom Trader:
  * Loki the dealer - Haldors & Hildirs distant cousin!
  * Buy seeds, spliffs, mushrooms and a belt from him.
  * Spawns in Meadows and Black Forest biomes.
  * Can be found with console command "find loki".
  
### Craftable Hemp Armor Set:
  * Hemp Chest Armor
  * Hemp Leg Armor
  * Hemp Leaf Cape
  * Hemp Crown
  
Hemp Armor is a cross between Troll and Carapace armor! Full set will give Freefall and Sneak Bonuses. 

  
### Recipe Customiser:
  * All prefabs with a recipe can now be customised.
  * Recipes can be saved using the console command "weedheim save prefabname". (i.e. "weedheim save piece_dye_station")
  * This will save the recipe in "BepInEx\config\Weedheim\Recipes" folder from where it can be edited.

The console command above would save a file called "piece_dye_station.json" in a format like this:

{<br>
&nbsp;&nbsp;&nbsp;&nbsp;"name": "piece_dye_station",<br>
&nbsp;&nbsp;&nbsp;&nbsp;"originalAmount": 0,<br>
&nbsp;&nbsp;&nbsp;&nbsp;"craftingStation": "$piece_workbench",<br>
&nbsp;&nbsp;&nbsp;&nbsp;"minStationLevel": 1,<br>
&nbsp;&nbsp;&nbsp;&nbsp;"amount": 1,<br>
&nbsp;&nbsp;&nbsp;&nbsp;"reqs": ["Wood:15:0:True","Bronze:1:0:True"]<br>
}


reqs is a list of the actual recipe requirements. Each entry is a string separated with colons,e.g.:

"reqs": ["Wood:15:0:True","Bronze:1:0:True"]

The first part is the material's spawn name, the second is the amount, the third is the amount per level if the item being created is upgradeable, and the fourth is whether that material can be recovered on destroying the created item.


<details><summary><strong> Click to show/hide prefabs with recipes</strong></summary>
<br>
piece_stoner_table  ------  (Use $piece_stonerworkbench for "craftingStation" in your recipe)<br>
piece_planting_table  ---  (Use $piece_greenhouseworkbench for "craftingStation" in your recipe)<br>
piece_loom  ----------------  (Use $piece_loomworkbench for "craftingStation" in your recipe)<br>
piece_dye_station -------  (Use $piece_dye_workbench for "craftingStation" in your recipe)<br>
<br>
HookahFuel<br>
HempRope<br>
mm_campresources<br>
mm_item_sleeping_bag_new<br>
jointpaper<br>
jointbadger<br>
jointkush<br>
jointpunch<br>
jointcough<br>
CannabisSeeds<br>
PurpleKushSeeds<br>
BlueberryPunchSeeds<br>
RaspberryCoughSeeds<br>
HoneyBadgerSeeds<br>
HempCloth<br>
mm_dye_black<br>
mm_dye_blue<br>
mm_dye_green<br>
mm_dye_orange<br>
mm_dye_purple<br>
mm_dye_red<br>
mm_dye_white<br>
mm_dye_yellow<br>
Rasta_Pants_01<br>
Rasta_Pants_02<br>
Rasta_Pants_03<br>
Rasta_Pants_04<br>
Rasta_Top_01<br>
Rasta_Top_02<br>
Rasta_Top_03<br>
Rasta_Top_04<br>
hat_01<br>
hat_02<br>
hat_03<br>
hat_04<br>
hat_05<br>
hat_06<br>
ArmorHempLegs<br>
ArmorHempChest<br>
CapeHempLeaf<br>
HelmetHemp<br>
CapeHemp<br>
mm_shield_banded<br>
mm_iron_tower_shield<br>
sapling_purple_kush<br>
sapling_blueberry_punch<br>
sapling_raspberry_cough<br>
sapling_honey_badger<br>
sapling_flyagaric<br>
sapling_liberty_cap<br>
wl_mighty_bong<br>
mm_hookah<br>
weed_sack_kush<br>
weed_sack_punch<br>
weed_sack_badger<br>
weed_sack_cough<br>
weed_bundle_kush<br>
weed_bundle_punch<br>
weed_bundle_badger<br>
weed_bundle_cough<br>
buddha_statue<br>
elephant_statue<br>
big_gong<br>
driftwood_male<br>
driftwood_female<br>
rasta_rope_lights<br>
rasta_rope_lights_wall<br>
mm_campsite<br>
mm_campsitebig<br>
mm_piece_sleeping_bag_new<br>
mm_fire_cover<br>
hemp_block_1x1<br>
hemp_block_2x1<br>
hemp_block_4x2<br>
hemp_block_4x4<br>
hemp_block_arch<br>
hemp_block_floor<br>
hemp_block_floor_1x1<br>
hemp_block_floor_2x2<br>
hemp_block_pillar<br>
hemp_block_stair_2<br>
hemp_block_stair_outer_2<br>
hemp_block_stair_inner_2<br>
hemp_block_triangular_1x1<br>
hemp_block_triangular_2x1<br>
hideen_door_2x2<br>
hideen_door_2x3<br>
hideen_door_4x2<br>
hemp_roof_26<br>
hemp_roof_26_left<br>
hemp_roof_26_right<br>
hemp_roof_45<br>
hemp_roof_45_left<br>
hemp_roof_45_right<br>
hemp_roof_icorner_26<br>
hemp_roof_icorner_45<br>
hemp_roof_ocorner_26<br>
hemp_roof_ocorner_45<br>
hemp_roof_top_26<br>
hemp_roof_top_45<br>
wl_banner_01<br>
wl_banner_02<br>
wl_banner_03<br>
wl_banner_04<br>
wl_banner_05<br>
wl_tapestry_01<br>
wl_tapestry_02<br>
wl_tapestry_03<br>
wl_tapestry_04<br>
wl_tapestry_05<br>
wl_rug_01<br>
wl_rug_02<br>
wl_rug_03<br>
wl_rug_04<br>
wl_rug_05
</details>
  
  
## Configuration:

Configuration options can be modified in-game (using Configuration Manager plugin).

![Configuration](https://i.imgur.com/jSXQYf8.jpg)


## Installation:

### Manual

  * Un-zip the `Weedheim` folder to your `/BepInEx/plugins/` folder.

### r2modman (manual)

  * Go to Settings > Import local mod > Select `Weedheim_v*.*.*.zip`.
  * Click "OK/Import local mod" on the pop-up for information.
  
### Notes
	* Plants will not spawn in already visited locations. You can use Upgrade World plugin to reset vegetation.
	* Loki will not spawn in already visited locations. You can use Upgrade World plugin to reset locations.
  
### My Plugins:

  * <a href="https://www.nexusmods.com/valheim/mods/2492">Weedheim</a>
  * <a href="https://www.nexusmods.com/valheim/mods/2581">MyDirtyHoe</a>
  


### Donations: <a href="https://www.buymeacoffee.com/magicmike420">Buy me a coffee</a>
### Donations: <a href="https://www.paypal.com/donate/?hosted_button_id=BN8HEWHRMAREU">Paypal</a>



### Comments/Suggestions: <a href="https://discord.gg/sAqfqvsj">Discord</a>, <a href="https://www.nexusmods.com/valheim/mods/2492?tab=posts">Nexus</a>.


   
## Credits:   

* OdinPlus team for help with code.
* JVL team for help with code.
* Aedenthorn for customiser code.



<details><summary><b>Item Recipes</b></summary>
<br>   
<table>
<thead>
  <tr>
    <th>Item</th>
    <th>Recipie</th>
    <th>Workbench</th>
  </tr>
</thead>
<tbody>
  <tr>
    <td>Magic Wand</td>
    <td>1 x Wood, 1 x Greydwarf Eye</td>
    <td>None</td>
  </tr>
  <tr>
    <td>Hookah Fuel</td>
    <td>1 x PurpleKushBud, 1 x BlueberryPunchBud, 1 x RaspberryCoughBud, 1 x HoneyBadgerBud</td>
    <td>None</td>
  </tr>
  <tr>
    <td>Hemp Rope</td>
    <td>10 x HempThread</td>
    <td>None</td>
  </tr>
  <tr>
    <td>Hemp Cloth</td>
    <td>20 x HempThread</td>
    <td>Loom</td>
  </tr>
  <tr>
    <td>Camp Resources</td>
    <td>8 x Wood, 4 x HempCloth, 5 x HempThread, 1 x HempRope</td>
    <td>None</td>
  </tr>
  <tr>
    <td>Sleeping Bag (Rolled)</td>
    <td>1 x WolfPelt, 4 x LeatherScraps, 2 x HempCloth, 2 x HempThread</td>
    <td>None</td>
  </tr>
  <tr>
    <td>Joint Paper</td>
    <td>1 x HempLeaf</td>
    <td>None</td>
  </tr>
  <tr>
    <td>Joint Badger</td>
    <td>1 x HempLeaf, 1 x HoneyBadgerBud</td>
    <td>None</td>
  </tr>
  <tr>
    <td>Joint Kush</td>
    <td>1 x HempLeaf, 1 x PurpleKushBud</td>
    <td>None</td>
  </tr>
  <tr>
    <td>Joint Punch</td>
    <td>1 x HempLeaf, 1 x BlueberryPunchBud</td>
    <td>None</td>
  </tr>
  <tr>
    <td>JointCough</td>
    <td>1 x HempLeaf, 1 x RaspberryCoughBud</td>
    <td>None</td>
  </tr>
  <tr>
    <td>Mighty Bong (Item)</td>
    <td>2 x Crystal</td>
    <td>Stoner Table</td>
  </tr>
  <tr>
    <td>Cannabis Seeds</td>
    <td>1 x AncientSeed</td>
    <td>Planting Table</td>
  </tr>
  <tr>
    <td>Purple Kush Seeds</td>
    <td>6 x CannabisSeeds, 6 x Blueberries, 6 x Raspberry</td>
    <td>Planting Table</td>
  </tr>
  <tr>
    <td>Blueberry Punch Seeds</td>
    <td>6 x CannabisSeeds, 6 x Blueberries</td>
    <td>Planting Table</td>
  </tr>
  <tr>
    <td>Raspberry Cough Seeds</td>
    <td>6 x CannabisSeeds, 6 x Raspberry</td>
    <td>Planting Table</td>
  </tr>
  <tr>
    <td>Honey Badger Seeds</td>
    <td>6 x CannabisSeeds, 6 x Honey</td>
    <td>Planting Table</td>
  </tr>
  <tr>
    <td>Mushy Brew</td>
    <td>30 x MagicMushrooms</td>
    <td>Cauldron</td>
  </tr>
  <tr>
    <td>Fly Agaraic Mead</td>
    <td>20 x Honey, 20 x FlyagaricMushroom</td>
    <td>Cauldron</td>
  </tr>
  <tr>
    <td>Fly Agaraic Wine</td>
    <td>1 x FlyAgaraicMead</td>
    <td>Fermenter</td>
  </tr>
  <tr>
    <td>Hemp Thread</td>
    <td>1 x HempLeaf</td>
    <td>SpinningWheel</td>
  </tr>
</tbody>
</table>
</details>

<details><summary><b>Piece Recipes</b></summary>
<br>   
<table>
<thead>
  <tr>
    <th>Piece</th>
    <th>Recipie</th>
    <th>Workbench</th>
  </tr>
</thead>
<tbody>
  <tr>
    <td>Stoner Workbench</td>
    <td>10 x Wood</td>
    <td>Workbench</td>
  </tr>
  <tr>
    <td>Planting Workbench</td>
    <td>10 x Wood</td>
    <td>Workbench</td>
  </tr>
  <tr>
    <td>Loom Workbench</td>
    <td>10 x Wood</td>
    <td>Workbench</td>
  </tr>
  <tr>
    <td>Dye Workbench</td>
    <td>15 x Wood, 1 x Bronze</td>
    <td>Workbench</td>
  </tr>
  <tr>
    <td>Mighty Bong (Piece)</td>
    <td>5 x Crystal</td>
    <td>Stoner Workbench</td>
  </tr>
  <tr>
    <td>Snake Head Hookah</td>
    <td>2 x Silver, 2 x Wood</td>
    <td>Stoner Workbench</td>
  </tr>
  <tr>
    <td>Weed Sack Kush</td>
    <td>10 x HempCloth, 20 x PurpleKushBud</td>
    <td>Stoner Workbench</td>
  </tr>
  <tr>
    <td>Weed Sack Punch</td>
    <td>10 x HempCloth, 20 x BlueberryPunchBud</td>
    <td>Stoner Workbench</td>
  </tr>
  <tr>
    <td>Weed Sack Badger</td>
    <td>10 x HempCloth, 20 x HoneyBadgerBud</td>
    <td>Stoner Workbench</td>
  </tr>
  <tr>
    <td>Weed Sack Cough</td>
    <td>10 x HempCloth, 20 x RaspberryCoughBud</td>
    <td>Stoner Workbench</td>
  </tr>
  <tr>
    <td>Weed Bundle Kush</td>
    <td>20 x PurpleKushBud</td>
    <td>Stoner Workbench</td>
  </tr>
  <tr>
    <td>Weed Bundle Punch</td>
    <td>20 x PurpleKushBud</td>
    <td>Stoner Workbench</td>
  </tr>
  <tr>
    <td>Weed Bundle Badger</td>
    <td>20 x PurpleKushBud</td>
    <td>Stoner Workbench</td>
  </tr>
  <tr>
    <td>Weed Bundle Cough</td>
    <td>20 x PurpleKushBud</td>
    <td>Stoner Workbench</td>
  </tr>
  <tr>
    <td>Buddha Statue</td>
    <td>10 x Stone</td>
    <td>Stone Cutter</td>
  </tr>
  <tr>
    <td>Elephant Statue</td>
    <td>10 x Stone</td>
    <td>Stone Cutter</td>
  </tr>
  <tr>
    <td>Big Gong</td>
    <td>1 x Iron, 1 x Copper, 4 x Wood</td>
    <td>Forge</td>
  </tr>
  <tr>
    <td>Carving Male</td>
    <td>6 x Wood</td>
    <td>Workbench</td>
  </tr>
  <tr>
    <td>Carving Female</td>
    <td>6 x Wood</td>
    <td>Workbench</td>
  </tr>
  <tr>
    <td>Crystal Lights</td>
    <td>3 x Crystal, 4 x Wood, 1 x HempRope, 1 x Bloodbag, 5 x Dandelion, 1 x Guck</td>
    <td>Stone Cutter</td>
  </tr>
  <tr>
    <td>Crystal Wall Lights</td>
    <td>3 x Crystal, 2 x Wood, 1 x HempRope, 1 x Bloodbag, 5 x Dandelion, 1 x Guck</td>
    <td>Stone Cutter</td>
  </tr>
  <tr>
    <td>Small Tent</td>
    <td>1 x CampResources</td>
    <td>None</td>
  </tr>
  <tr>
    <td>Large Tent</td>
    <td>3 x CampResources</td>
    <td>None</td>
  </tr>
  <tr>
    <td>Sleeping Bag</td>
    <td>1 x SleepingBag (Rolleed)</td>
    <td>None</td>
  </tr>
  <tr>
    <td>Fire Cover</td>
    <td>4 x Wood, 1 x HempCloth</td>
    <td>None</td>
  </tr>
  <tr>
    <td>Hippie Banner 01</td>
    <td>2 x Wood, 1 x HempCloth, 1 x DyeBlack, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlue, 1 x DyePurple, 1 x DyeOrange, 1 x DyeYellow, 1 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hippie Banner 02</td>
    <td>2 x Wood, 1 x HempCloth, 1 x DyeBlack, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlue, 1 x DyePurple, 1 x DyeOrange, 1 x DyeYellow, 1 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hippie Banner 03</td>
    <td>2 x Wood, 1 x HempCloth, 1 x DyeBlack, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlue, 1 x DyePurple, 1 x DyeOrange, 1 x DyeYellow, 1 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hippie Banner 04</td>
    <td>2 x Wood, 1 x HempCloth, 1 x DyeBlack, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlue, 1 x DyePurple, 1 x DyeOrange, 1 x DyeYellow, 1 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hippie Banner 05</td>
    <td>2 x Wood, 1 x HempCloth, 1 x DyeBlack, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlue, 1 x DyePurple, 1 x DyeOrange, 1 x DyeYellow, 1 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hippie Tapestry 01</td>
    <td>4 x Wood, 2 x HempCloth, 2 x DyeBlack, 2 x DyeRed, 2 x DyeYellow, 2 x DyeGreen, 2 x DyeBlue, 2 x DyePurple, 2 x DyeOrange, 2 x DyeYellow, 2 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hippie Tapestry 02</td>
    <td>4 x Wood, 2 x HempCloth, 2 x DyeBlack, 2 x DyeRed, 2 x DyeYellow, 2 x DyeGreen, 2 x DyeBlue, 2 x DyePurple, 2 x DyeOrange, 2 x DyeYellow, 2 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hippie Tapestry 03</td>
    <td>4 x Wood, 2 x HempCloth, 2 x DyeBlack, 2 x DyeRed, 2 x DyeYellow, 2 x DyeGreen, 2 x DyeBlue, 2 x DyePurple, 2 x DyeOrange, 2 x DyeYellow, 2 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hippie Tapestry 04</td>
    <td>4 x Wood, 2 x HempCloth, 2 x DyeBlack, 2 x DyeRed, 2 x DyeYellow, 2 x DyeGreen, 2 x DyeBlue, 2 x DyePurple, 2 x DyeOrange, 2 x DyeYellow, 2 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hippie Tapestry 05</td>
    <td>4 x Wood, 2 x HempCloth, 2 x DyeBlack, 2 x DyeRed, 2 x DyeYellow, 2 x DyeGreen, 2 x DyeBlue, 2 x DyePurple, 2 x DyeOrange, 2 x DyeYellow, 2 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hippie Rug 01</td>
    <td>2 x HempCloth, 1 x DyeBlack, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlue, 1 x DyePurple, 1 x DyeOrange, 1 x DyeYellow, 1 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hippie Rug 02</td>
    <td>2 x HempCloth, 1 x DyeBlack, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlue, 1 x DyePurple, 1 x DyeOrange, 1 x DyeYellow, 1 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hippie Rug 03</td>
    <td>2 x HempCloth, 1 x DyeBlack, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlue, 1 x DyePurple, 1 x DyeOrange, 1 x DyeYellow, 1 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hippie Rug 04</td>
    <td>2 x HempCloth, 1 x DyeBlack, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlue, 1 x DyePurple, 1 x DyeOrange, 1 x DyeYellow, 1 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hippie Rug 05</td>
    <td>2 x HempCloth, 1 x DyeBlack, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlue, 1 x DyePurple, 1 x DyeOrange, 1 x DyeYellow, 1 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
</tbody>
</table>
</details>

<details><summary><b>Clothing Recipes</b></summary>
<br>  
<table>
<thead>
  <tr>
    <th>Clothing</th>
    <th>Recipie</th>
    <th>Workbench</th>
  </tr>
</thead>
<tbody>
  <tr>
    <td>Dye Black</td>
    <td>5 x Coal</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Dye Blue</td>
    <td>5 x Blueberries</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Dye Green</td>
    <td>5 x Blueberries, 5 x Dandelion</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Dye Orange</td>
    <td>5 x Blueberries, 5 x Dandelion, 5 x Raspberry</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Dye Purple</td>
    <td>5 x Blueberries, 5 x Raspberry</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Dye Red</td>
    <td>5 x Raspberry</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Dye White</td>
    <td>1 x BoneFragments</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Dye Yellow</td>
    <td>5 x Dandelion</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Rasta Pants 01</td>
    <td>1 x HempCloth, 2 x DyeBlack, 1 x DyeGreen</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Rasta Pants 02</td>
    <td>1 x HempCloth, 1 x DyeBlack, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlue, 1 x DyePurple, 1 x DyeOrange, 1 x DyeYellow, 1 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Rasta Pants 03</td>
    <td>1 x HempCloth, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Rasta Pants 04</td>
    <td>1 x HempCloth, 1 x DyeBlack, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlue, 1 x DyePurple, 1 x DyeOrange, 1 x DyeYellow, 1 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Rasta Top 01</td>
    <td>1 x HempCloth, 2 x DyeBlack, 1 x DyeGreen</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Rasta Top 02</td>
    <td>1 x HempCloth, 1 x DyeBlack, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlue, 1 x DyePurple, 1 x DyeOrange, 1 x DyeYellow, 1 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Rasta Top 03</td>
    <td>1 x HempCloth, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Rasta Top 04</td>
    <td>1 x HempCloth, 1 x DyeBlack, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlue, 1 x DyePurple, 1 x DyeOrange, 1 x DyeYellow, 1 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hat 01</td>
    <td>1 x HempCloth, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hat 02</td>
    <td>1 x HempCloth, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlack</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hat 03</td>
    <td>1 x HempCloth, 1 x DyeBlack, 1 x DyeYellow, 1 x DyeGreen, 1 x DyePurple</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hat 04</td>
    <td>1 x HempCloth, 2 x DyeBlack</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hat 05</td>
    <td>1 x HempCloth, 1 x DyeBlack, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlue, 1 x DyePurple, 1 x DyeOrange, 1 x DyeYellow, 1 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hat 06</td>
    <td>1 x HempCloth, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlack</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hemp Capes</td>
    <td>1 x HempCloth, 1 x Silver</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hemp Armor Legs</td>
    <td>1 x HempCloth, 2 x HempThread, 5 x ScaleHide</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hemp Armor Chest</td>
    <td>1 x HempCloth, 2 x HempThread, 5 x ScaleHide</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hemp Armor Cape</td>
    <td>1 x HempCloth, 2 x HempThread, 10 x HempLeaf, 5 x ScaleHide</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hemp Armor Helmet</td>
    <td>2 x HempThread, 10 x HempLeaf</td>
    <td>Dye Workbench</td>
  </tr>
</tbody>
</table> 
</details>

